GraphicsWindow File Reference
`#include <osg/GraphicsContext>`
`#include <osg/Notify>`
`#include <osgGA/EventQueue>`
`#include <osgGA/GUIActionAdapter>`
`#include <osgViewer/Export>`

Go to the source code of this file.

## Classes

class | osgViewer::GraphicsWindow
class | osgViewer::GraphicsWindowEmbedded
struct | osgViewer::GraphicsWindowFunctionProxy

## Namespaces

namespace | osgViewer

## Macros

#define | OSGVIEWER_GRAPHICWINDOW 1
#define | USE_GRAPICSWINDOW_IMPLEMENTATION(ext)
#define | USE_GRAPHICSWINDOW()

## Typedefs

typedef void(* | CGraphicsWindowFunction) (void)

## Macro Definition Documentation

## OSGVIEWER_GRAPHICWINDOW

#define OSGVIEWER_GRAPHICWINDOW 1

## USE_GRAPHICSWINDOW

#define USE_GRAPHICSWINDOW | ( |  | ) |

Value:
USE_GRAPICSWINDOW_IMPLEMENTATION(X11)
USE_GRAPICSWINDOW_IMPLEMENTATION
#define USE_GRAPICSWINDOW_IMPLEMENTATION(ext)
Definition GraphicsWindow:282

## USE_GRAPICSWINDOW_IMPLEMENTATION

#define USE_GRAPICSWINDOW_IMPLEMENTATION | ( |  | ext | ) |

Value:
extern "C" void graphicswindow_##ext(void); \
static osgViewer::GraphicsWindowFunctionProxy graphicswindowproxy_##ext(graphicswindow_##ext);
osgViewer::GraphicsWindowFunctionProxy
Definition GraphicsWindow:278

## Typedef Documentation

## CGraphicsWindowFunction

typedef void(* CGraphicsWindowFunction) (void)